## ukopp 3.8

=== Makefile ===
# ukopp makefile 

PROGRAM = ukopp
VERSION = 3.8
SOURCE = $(PROGRAM)-$(VERSION).cc

# defaults for parameters that may be pre-defined
CXXFLAGS ?= -O3 -g -Wall 
LDFLAGS ?= -O3 -g -Wall -rdynamic
PREFIX ?= /usr/local

CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-2.0`
LFLAGS = $(LDFLAGS) `pkg-config --libs gtk+-2.0 gthread-2.0`

BINDIR = $(PREFIX)/bin
DATADIR = $(PREFIX)/share/$(PROGRAM)
ICONDIR = $(DATADIR)/icons
DESKTOP = $(DATADIR)/kornelix-$(PROGRAM).desktop
DOCDIR = $(PREFIX)/share/doc/$(PROGRAM)

$(PROGRAM): $(PROGRAM).o zfuncs.o
	$(CXX) $(LFLAGS) -o $(PROGRAM) $(PROGRAM).o zfuncs.o

$(PROGRAM).o: $(SOURCE)
	$(CXX) $(CFLAGS) -o $(PROGRAM).o $(SOURCE)		\
	  -D "DATADIR=\"$(DATADIR)\"" -D "DOCDIR=\"$(DOCDIR)\""

zfuncs.o: zfuncs.cc
	$(CXX) $(CFLAGS) zfuncs.cc	\
	  -D "DATADIR=\"$(DATADIR)\"" -D "DOCDIR=\"$(DOCDIR)\"" -D "BINDIR=\"$(BINDIR)\""

install: $(PROGRAM)
	mkdir -p $(DESTDIR)$(DOCDIR) 
	mkdir -p $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(DATADIR)
	mkdir -p $(DESTDIR)$(ICONDIR)
	cp -f -R doc/* $(DESTDIR)$(DOCDIR)
	cp -f icons/* $(DESTDIR)$(ICONDIR)
	cp -f $(PROGRAM) $(DESTDIR)$(BINDIR)
	@ echo use make menu to install desktop menu

menu:
	cp -f desktop $(DESTDIR)$(DESKTOP)
	echo Exec=$(DESTDIR)$(BINDIR)/$(PROGRAM) >> $(DESTDIR)$(DESKTOP)
	echo Icon=$(DESTDIR)$(ICONDIR)/$(PROGRAM).png >> $(DESTDIR)$(DESKTOP)
	xdg-desktop-menu install $(DESTDIR)$(DESKTOP)

uninstall:
	xdg-desktop-menu uninstall $(DESTDIR)$(DESKTOP)
	rm -f $(DESTDIR)$(BINDIR)/$(PROGRAM)
	rm -R -f $(DESTDIR)$(DOCDIR)
	rm -R -f $(DESTDIR)$(DATADIR)

clean: 
	rm -f $(PROGRAM)
	rm -f *.o

=== debian/changelog ===
ukopp (3.8-2) unstable; urgency=low

  * Pass -Wl,--as-needed to the linker.
  * Correct linking order to set LDFLAGS properly.

 -- Alessio Treglia <alessio@debian.org>  Tue, 09 Nov 2010 00:19:59 +0100

ukopp (3.8-1) unstable; urgency=low

  * Initial release (Closes: #597683).

 -- Alessio Treglia <alessio@debian.org>  Wed, 22 Sep 2010 09:33:32 +0200

=== debian/control ===
Source: ukopp
Section: admin
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 pkg-config,
 libgtk2.0-dev,
 libglib2.0-dev
Standards-Version: 3.9.1
Homepage: http://kornelix.squarespace.com/ukopp/
Vcs-Git: git://git.debian.org/collab-maint/ukopp.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ukopp.git

Package: ukopp
Architecture: any
Depends: ${shlibs:Depends},
 udev,
 ${misc:Depends}
Description: Full and incremental backup to disk or disk-like device
 Ukopp is used to copy or back-up disk files to a disk or disk-like device,
 such as a USB stick. It copies only new or modified files since the last
 backup, and is therefore quite fast. A GUI is used to navigate the file
 system to include or exclude files or directories at any level. These
 choices can be saved in a job file for repeated use. New files appearing
 within the included directories are handled automatically. Optionally,
 previous versions of the backup files can be retained instead of being
 overwritten. Files can be selectively restored using a GUI. Ownership
 and permissions are also restored, even if the target device uses a
 Microsoft file system.

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr
LDFLAGS+=-Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/ukopp/ install
	rm -f \
		$(CURDIR)/debian/ukopp/usr/share/doc/ukopp/COPYING \
		$(CURDIR)/debian/ukopp/usr/share/doc/ukopp/CHANGES
	chmod -x $(CURDIR)/debian/ukopp/usr/share/ukopp/icons/*
	cp desktop \
		$(CURDIR)/debian/ukopp/usr/share/applications/ukopp.desktop

## ukopp 3.9

=== Makefile ===
# ukopp makefile 

PROGRAM = ukopp
VERSION = 3.9
SOURCE = $(PROGRAM)-$(VERSION).cc

# defaults for parameters that may be pre-defined
CXXFLAGS ?= -O3 -g -Wall
LDFLAGS ?= -O3 -g -Wall -rdynamic
PREFIX ?= /usr

# target install directories
BINDIR = $(PREFIX)/bin
SHAREDIR = $(PREFIX)/share/$(PROGRAM)
DATADIR = $(SHAREDIR)/data
ICONDIR = $(SHAREDIR)/icons
DOCDIR = $(PREFIX)/share/doc/$(PROGRAM)
MANDIR = $(PREFIX)/share/man/man1
MENUFILE1 = $(DATADIR)/desktop
MENUFILE2 = $(PREFIX)/share/applications/kornelix-$(PROGRAM).desktop

CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-2.0`
LFLAGS = $(LDFLAGS) `pkg-config --libs gtk+-2.0 gthread-2.0`

$(PROGRAM): $(PROGRAM).o zfuncs.o
	$(CXX) $(LFLAGS) -o $(PROGRAM) $(PROGRAM).o zfuncs.o

$(PROGRAM).o: $(SOURCE)
	$(CXX) $(CFLAGS) -o $(PROGRAM).o $(SOURCE)

zfuncs.o: zfuncs.cc
	$(CXX) $(CFLAGS) zfuncs.cc

install: $(PROGRAM)
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(PREFIX)/share/applications
	cp -f  $(PROGRAM) $(DESTDIR)$(BINDIR)
	cp -f  data/* $(DESTDIR)$(DATADIR)
	cp -f  icons/* $(DESTDIR)$(ICONDIR)
	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
	# man page
	cp -f doc/$(PROGRAM).man $(PROGRAM).1
	gzip -f -9 $(PROGRAM).1
	cp $(PROGRAM).1.gz $(DESTDIR)$(MANDIR)
	rm -f $(PROGRAM).1.gz
	# menu (desktop) file
	echo Exec=/usr/bin/$(PROGRAM) >> $(MENUFILE1)
	echo Icon=/usr/share/$(PROGRAM)/icons/$(PROGRAM).png >> $(MENUFILE1)
	cp $(MENUFILE1) $(DESTDIR)$(MENUFILE2)
	@ echo "*** use make menu to install the desktop menu"

menu:
	xdg-desktop-menu install $(PREFIX)/share/applications/kornelix-$(PROGRAM).desktop

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/$(PROGRAM)
	rm -R -f  $(DESTDIR)$(SHAREDIR)
	rm -R -f  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/$(PROGRAM).1.gz
	xdg-desktop-menu uninstall $(MENUFILE2)
	rm -f  $(MENUFILE2)

clean: 
	rm -f  $(PROGRAM)
	rm -f  *.o

=== debian/changelog ===
ukopp (3.9-1) unstable; urgency=low

  * Imported Upstream version 3.9:
    - A man page was added.
    - Window is dumped to log file before exit.
    - Detect error: selected file outside restore-from directory hierarchy.
  * debian/{patches/*,rules}:
    - Let Makefile handle substitutions in the desktop file.
    - Let Makefile install the desktop file.
  * Refresh patches.
  * Improve debian/patches/02-makefile.patch's description.
  * debian/patches/03-manpage.patch:
    - "-" must be escaped ("\-") to be interpreted as minus.
  * Remove manpages, added upstream.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 07 May 2011 13:39:42 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  pkg-config,
  libgtk2.0-dev,
  libglib2.0-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://kornelix.squarespace.com/ukopp/
 Vcs-Git: git://git.debian.org/collab-maint/ukopp.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/ukopp.git

## ukopp 4.0

=== Makefile ===
# ukopp makefile 

PROGRAM = ukopp
VERSION = 4.0
SOURCE = $(PROGRAM)-$(VERSION).cc

# defaults for parameters that may be pre-defined
CXXFLAGS ?= -O3 -g -Wall
LDFLAGS ?= -O3 -g -Wall -rdynamic
PREFIX ?= /usr

# target install directories
BINDIR = $(PREFIX)/bin
SHAREDIR = $(PREFIX)/share/$(PROGRAM)
DATADIR = $(SHAREDIR)/data
ICONDIR = $(SHAREDIR)/icons
DOCDIR = $(PREFIX)/share/doc/$(PROGRAM)
MANDIR = $(PREFIX)/share/man/man1
MENUFILE = $(PREFIX)/share/applications/kornelix-$(PROGRAM).desktop

CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-2.0`
LIBS = `pkg-config --libs gtk+-2.0 gthread-2.0`

$(PROGRAM): $(PROGRAM).o zfuncs.o
	$(CXX) $(LDFLAGS) $(PROGRAM).o zfuncs.o $(LIBS) -o $(PROGRAM)

$(PROGRAM).o: $(SOURCE)
	$(CXX) $(CFLAGS) -o $(PROGRAM).o $(SOURCE)

zfuncs.o: zfuncs.cc
	$(CXX) $(CFLAGS) zfuncs.cc -D PREFIX=\"$(PREFIX)\"

install: $(PROGRAM)
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(PREFIX)/share/applications
	cp -f  $(PROGRAM) $(DESTDIR)$(BINDIR)
	cp -f  data/* $(DESTDIR)$(DATADIR)
	cp -f  icons/* $(DESTDIR)$(ICONDIR)
	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
	# man page
	cp -f doc/$(PROGRAM).man $(PROGRAM).1
	gzip -f -9 $(PROGRAM).1
	cp $(PROGRAM).1.gz $(DESTDIR)$(MANDIR)
	rm -f $(PROGRAM).1.gz
	# menu (desktop) file (absolute paths to get around rpmbuild problem)
	cp -f data/desktop $(DESTDIR)$(MENUFILE)
	echo Exec=/usr/bin/$(PROGRAM) >> $(DESTDIR)$(MENUFILE)
	echo Icon=/usr/share/$(PROGRAM)/icons/$(PROGRAM).png >> $(DESTDIR)$(MENUFILE)
	xdg-desktop-menu install $(DESTDIR)$(MENUFILE)

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/$(PROGRAM)
	rm -R -f  $(DESTDIR)$(SHAREDIR)
	rm -R -f  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/$(PROGRAM).1.gz
	xdg-desktop-menu uninstall $(DESTDIR)$(MENUFILE)
	rm -f  $(DESTDIR)$(MENUFILE)

clean: 
	rm -f  $(PROGRAM)
	rm -f  *.o

=== debian/changelog ===
ukopp (4.0-2) unstable; urgency=low

  * Set udev as required only on Linux (Closes: #646359). Thank you Adam!

 -- Alessio Treglia <alessio@debian.org>  Sun, 23 Oct 2011 18:03:35 +0200

ukopp (4.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Drop 03-manpage.patch, applied upstream.
  * debian/copyright: Update to reflect DEP-5 changes.

 -- Alessio Treglia <alessio@debian.org>  Fri, 07 Oct 2011 18:06:07 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: ukopp
 Architecture: any
 Depends: ${shlibs:Depends},
- udev,
+ udev [linux-any],
  ${misc:Depends}
 Description: Full and incremental backup to disk or disk-like device
  Ukopp is used to copy or back-up disk files to a disk or disk-like device,

## ukopp 4.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # ukopp makefile 
 
 PROGRAM = ukopp
-VERSION = 4.0
+VERSION = 4.1
 SOURCE = $(PROGRAM)-$(VERSION).cc
 
 # defaults for parameters that may be pre-defined
@@ -12,7 +12,6 @@
 # target install directories
 BINDIR = $(PREFIX)/bin
 SHAREDIR = $(PREFIX)/share/$(PROGRAM)
-DATADIR = $(SHAREDIR)/data
 ICONDIR = $(SHAREDIR)/icons
 DOCDIR = $(PREFIX)/share/doc/$(PROGRAM)
 MANDIR = $(PREFIX)/share/man/man1
@@ -32,13 +31,11 @@
 
 install: $(PROGRAM)
 	mkdir -p  $(DESTDIR)$(BINDIR)
-	mkdir -p  $(DESTDIR)$(DATADIR)
 	mkdir -p  $(DESTDIR)$(ICONDIR)
 	mkdir -p  $(DESTDIR)$(DOCDIR)
 	mkdir -p  $(DESTDIR)$(MANDIR)
 	mkdir -p  $(DESTDIR)$(PREFIX)/share/applications
 	cp -f  $(PROGRAM) $(DESTDIR)$(BINDIR)
-	cp -f  data/* $(DESTDIR)$(DATADIR)
 	cp -f  icons/* $(DESTDIR)$(ICONDIR)
 	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
 	# man page
@@ -46,10 +43,8 @@
 	gzip -f -9 $(PROGRAM).1
 	cp $(PROGRAM).1.gz $(DESTDIR)$(MANDIR)
 	rm -f $(PROGRAM).1.gz
-	# menu (desktop) file (absolute paths to get around rpmbuild problem)
-	cp -f data/desktop $(DESTDIR)$(MENUFILE)
-	echo Exec=/usr/bin/$(PROGRAM) >> $(DESTDIR)$(MENUFILE)
-	echo Icon=/usr/share/$(PROGRAM)/icons/$(PROGRAM).png >> $(DESTDIR)$(MENUFILE)
+	# menu (desktop) file 
+	cp -f desktop $(DESTDIR)$(MENUFILE)
 	xdg-desktop-menu install $(DESTDIR)$(MENUFILE)
 
 uninstall:

=== debian/changelog ===
ukopp (4.1-2) unstable; urgency=low

  * Imported patch 03-fix-include-gtk-as-FTBFS.patch from Ubuntu,
    fixes FTBFS including gtk.h before pthread redefinitions

 -- Leo Iannacone <l3on@ubuntu.com>  Sat, 07 Jan 2012 11:32:49 +0100

ukopp (4.1-1) unstable; urgency=low

  * Imported Upstream version 4.1
  * Refresh 01-desktop_file.patch
  * Refresh 02-makefile.patch
  * New maintainer (Closes: #650447)

 -- Leo Iannacone <l3on@ubuntu.com>  Mon, 12 Dec 2011 00:45:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ukopp
 Section: admin
 Priority: optional
-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Leo Iannacone <l3on@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
  pkg-config,
  libgtk2.0-dev,

## ukopp 4.4

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # ukopp makefile 
 
 PROGRAM = ukopp
-VERSION = 4.1
+VERSION = 4.4
 SOURCE = $(PROGRAM)-$(VERSION).cc
 
 # defaults for parameters that may be pre-defined
-CXXFLAGS ?= -O3 -g -Wall
+CXXFLAGS ?= -O3 -g -Wall -Wno-deprecated-declarations
 LDFLAGS ?= -O3 -g -Wall -rdynamic
 PREFIX ?= /usr
 
@@ -17,8 +17,8 @@
 MANDIR = $(PREFIX)/share/man/man1
 MENUFILE = $(PREFIX)/share/applications/kornelix-$(PROGRAM).desktop
 
-CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-2.0`
-LIBS = `pkg-config --libs gtk+-2.0 gthread-2.0`
+CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-3.0`
+LIBS = `pkg-config --libs gtk+-3.0`
 
 $(PROGRAM): $(PROGRAM).o zfuncs.o
 	$(CXX) $(LDFLAGS) $(PROGRAM).o zfuncs.o $(LIBS) -o $(PROGRAM)

=== debian/changelog ===
ukopp (4.4-1) unstable; urgency=low

  * New upstream release (closes: #668485).
  * Removed fix-include-gtk-as-FTBFS.patch, changes are now in upstream.
  * Refreshed old patches.
  * Bump standards version to 3.9.3.
  * Updated debian/copyright format.

 -- Leo Iannacone <l3on@ubuntu.com>  Thu, 24 May 2012 10:46:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Leo Iannacone <l3on@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
  pkg-config,
- libgtk2.0-dev,
+ libgtk-3-dev,
  libglib2.0-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://kornelix.squarespace.com/ukopp/
 Vcs-Git: git://git.debian.org/collab-maint/ukopp.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/ukopp.git

=== debian/watch ===
version=3
http://kornelix.squarespace.com/downloads/ \
	/storage/downloads/ukopp-(.*)\.tar\.gz

## ukopp 4.7

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # ukopp makefile 
 
 PROGRAM = ukopp
-VERSION = 4.4
+VERSION = 4.7
 SOURCE = $(PROGRAM)-$(VERSION).cc
 
 # defaults for parameters that may be pre-defined
-CXXFLAGS ?= -O3 -g -Wall -Wno-deprecated-declarations
+CXXFLAGS ?= -O3 -g -Wall
 LDFLAGS ?= -O3 -g -Wall -rdynamic
 PREFIX ?= /usr
 
@@ -26,8 +26,10 @@
 $(PROGRAM).o: $(SOURCE)
 	$(CXX) $(CFLAGS) -o $(PROGRAM).o $(SOURCE)
 
-zfuncs.o: zfuncs.cc
-	$(CXX) $(CFLAGS) zfuncs.cc -D PREFIX=\"$(PREFIX)\"
+zfuncs.o: zfuncs.cc zfuncs.h
+	$(CXX) $(CFLAGS) zfuncs.cc \
+          -D PREFIX=\"$(PREFIX)\" -D DOCDIR=\"$(DOCDIR)\"   \
+          -Wno-deprecated-declarations 
 
 install: $(PROGRAM)
 	mkdir -p  $(DESTDIR)$(BINDIR)
@@ -36,7 +38,7 @@
 	mkdir -p  $(DESTDIR)$(MANDIR)
 	mkdir -p  $(DESTDIR)$(PREFIX)/share/applications
 	cp -f  $(PROGRAM) $(DESTDIR)$(BINDIR)
-	cp -f  icons/* $(DESTDIR)$(ICONDIR)
+	cp -f -R  icons/* $(DESTDIR)$(ICONDIR)
 	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
 	# man page
 	cp -f doc/$(PROGRAM).man $(PROGRAM).1
@@ -49,8 +51,8 @@
 
 uninstall:
 	rm -f  $(DESTDIR)$(BINDIR)/$(PROGRAM)
-	rm -R -f  $(DESTDIR)$(SHAREDIR)
-	rm -R -f  $(DESTDIR)$(DOCDIR)
+	rm -f -R  $(DESTDIR)$(SHAREDIR)
+	rm -f -R  $(DESTDIR)$(DOCDIR)
 	rm -f  $(DESTDIR)$(MANDIR)/$(PROGRAM).1.gz
 	xdg-desktop-menu uninstall $(DESTDIR)$(MENUFILE)
 	rm -f  $(DESTDIR)$(MENUFILE)

=== debian/changelog ===
ukopp (4.7-1) unstable; urgency=low

  * New upstream release.
  * Update watch file
  * Fix VCS urls
  * debian/control:
    + fix project homepage url
    + bump standards-version
  * Use debhelper 9 for hardering
  * Refreshed old patch
  * Added keywords to .desktop file
  * new 03-fix-ftbfs-underlink.patch: Added missing pthread
    lib to link, fixing FTBFS on armhf.
    Thanks to Daniel T Chen (closes: #713696).
  * new 04-fix-install-userguide.patch: fix missing data dir
    on install.
  * debian/dkopp.doc-base: fix paths.

 -- Leo Iannacone <l3on@ubuntu.com>  Wed, 10 Jul 2013 14:29:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: Leo Iannacone <l3on@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
  pkg-config,
  libgtk-3-dev,
  libglib2.0-dev
-Standards-Version: 3.9.3
-Homepage: http://kornelix.squarespace.com/ukopp/
-Vcs-Git: git://git.debian.org/collab-maint/ukopp.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/ukopp.git
+Standards-Version: 3.9.4
+Homepage: http://www.kornelix.com/ukopp.html
+Vcs-Git: git://anonscm.debian.org/collab-maint/ukopp.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ukopp.git
 
 Package: ukopp
 Architecture: any

## ukopp 4.9

=== Makefile ===
# ukopp makefile 

PROGRAM = ukopp
VERSION = 4.9
SOURCE = $(PROGRAM)-$(VERSION).cc

# defaults for parameters that may be pre-defined
CXXFLAGS ?= -O2 -Wall -ggdb 
LDFLAGS ?= -rdynamic -lpthread
PREFIX ?= /usr

# target install directories
BINDIR = $(PREFIX)/bin
SHAREDIR = $(PREFIX)/share/$(PROGRAM)
DATADIR = $(SHAREDIR)/data
ICONDIR = $(SHAREDIR)/icons
DOCDIR = $(PREFIX)/share/doc/$(PROGRAM)
MANDIR = $(PREFIX)/share/man/man1
MENUFILE = $(PREFIX)/share/applications/$(PROGRAM).desktop

CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-3.0`
LIBS = `pkg-config --libs gtk+-3.0` -lpthread

$(PROGRAM): $(PROGRAM).o zfuncs.o
	$(CXX) $(LDFLAGS) $(PROGRAM).o zfuncs.o $(LIBS) -o $(PROGRAM)

$(PROGRAM).o: $(SOURCE)
	$(CXX) $(CFLAGS) -o $(PROGRAM).o $(SOURCE)

zfuncs.o: zfuncs.cc zfuncs.h
	$(CXX) $(CFLAGS) zfuncs.cc \
          -D PREFIX=\"$(PREFIX)\" -D DOCDIR=\"$(DOCDIR)\" 

install: $(PROGRAM)
	rm -f  $(DESTDIR)$(BINDIR)/$(PROGRAM)
	rm -f -R  $(DESTDIR)$(SHAREDIR)
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/$(PROGRAM).1.gz
	xdg-desktop-menu uninstall $(DESTDIR)$(MENUFILE)
	rm -f  $(DESTDIR)$(MENUFILE)
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(PREFIX)/share/applications
	cp -f  $(PROGRAM) $(DESTDIR)$(BINDIR)
	cp -f -R  data/* $(DESTDIR)$(DATADIR)
	cp -f -R  icons/* $(DESTDIR)$(ICONDIR)
	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
	gzip -f -9 $(DESTDIR)$(DOCDIR)/changelog
	# man page
	cp -f doc/$(PROGRAM).man $(PROGRAM).1
	gzip -f -9 $(PROGRAM).1
	cp $(PROGRAM).1.gz $(DESTDIR)$(MANDIR)
	rm -f $(PROGRAM).1.gz
	# menu (desktop) file
	cp -f desktop $(DESTDIR)$(MENUFILE)
	chmod +x $(DESTDIR)$(MENUFILE)
	xdg-desktop-menu install --novendor $(DESTDIR)$(MENUFILE)

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/$(PROGRAM)
	rm -f -R  $(DESTDIR)$(SHAREDIR)
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/$(PROGRAM).1.gz
	xdg-desktop-menu uninstall $(DESTDIR)$(MENUFILE)
	rm -f  $(DESTDIR)$(MENUFILE)

clean: 
	rm -f  $(PROGRAM)
	rm -f  *.o

=== debian/changelog ===
ukopp (4.9-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:27:32 +1100

ukopp (4.9-3build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:12:49 +0000

ukopp (4.9-3) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer.
  * Using new DH level format. Consequently:
    - debian/compat: removed.
    - debian/control: changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/watch: adding comment in the watch file about replacing 'ukopp'
    with the new 'backwild' software. The current link does not work.
  * debian/ukopp.install: changing the installation directory of the files.
  * debian/rules: added compilation option to enable "bindnow" in linker.
  * Update doc-base to reflect new documentation directory.

 -- Aquila Macedo Costa <aquilamacedo@riseup.net>  Wed, 07 Jun 2023 16:11:08 -0300

ukopp (4.9-2) UNRELEASED; urgency=medium

  * Migrate repository from alioth to salsa.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 20:52:11 +0100

ukopp (4.9-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/02-makefile.patch.

 -- Leo Iannacone <l3on@ubuntu.com>  Fri, 06 Jun 2014 14:33:57 +0200

ukopp (4.8-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5.
  * Removed 03-fix-ftbfs-underlink.patch, applied upstream.
  * Removed 04-fix-install-userguide.patch, applied upstream.
  * Refreshed other patches.
  * debian/copyright: update source reference url.

 -- Leo Iannacone <l3on@ubuntu.com>  Thu, 16 Jan 2014 15:06:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: ukopp
 Section: admin
 Priority: optional
-Maintainer: Leo Iannacone <l3on@ubuntu.com>
-Build-Depends: debhelper (>= 9),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13),
  pkg-config,
  libgtk-3-dev,
  libglib2.0-dev
-Standards-Version: 3.9.4
+Standards-Version: 4.6.2
 Homepage: http://www.kornelix.com/ukopp.html
-Vcs-Git: git://anonscm.debian.org/collab-maint/ukopp.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ukopp.git
+Vcs-Git: https://salsa.debian.org/debian/ukopp.git
+Vcs-Browser: https://salsa.debian.org/debian/ukopp
 
 Package: ukopp
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
LDFLAGS+=-Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/ukopp/ install
	rm -f \
		$(CURDIR)/debian/ukopp/usr/share/doc/ukopp/COPYING \
		$(CURDIR)/debian/ukopp/usr/share/doc/ukopp/CHANGES
	chmod -x $(CURDIR)/debian/ukopp/usr/share/ukopp/icons/*

=== debian/watch ===
# The upstream project "backwild" replaced the previous software "ukopp" and is maintained
# as "backwild" now. The new upstream page can be found at: https://www.kornelix.net/backwild/backwild.html

# Please note that the current link provided in this watch file is not working.
# It is recommended to update the watch file to reflect the new upstream project in future uploads.

version=3
http://www.kornelix.com/tarballs.html \
  /uploads/.*/ukopp-(.*)\.tar\.gz

## ukopp 6.3

=== Makefile ===
PROGRAM = ukopp
VERSION = 6.3
SOURCE = $(PROGRAM)-$(VERSION).cc

# defaults for parameters that may be pre-defined
CXXFLAGS += -Wall -ggdb
PREFIX ?= /usr
CPPFLAGS ?= -O2

# target install directories
BINDIR = $(PREFIX)/bin
SHAREDIR = $(PREFIX)/share/$(PROGRAM)
DATADIR = $(SHAREDIR)/data
ICONDIR = $(SHAREDIR)/icons
LOCALESDIR = $(SHAREDIR)/locales
DOCDIR = $(PREFIX)/share/doc/$(PROGRAM)
MANDIR = $(PREFIX)/share/man/man1
APPDATADIR = $(PREFIX)/share/appdata
MENUFILE = $(PREFIX)/share/applications/$(PROGRAM).desktop
ICONFILE = $(PREFIX)/share/icons/$(PROGRAM).png

CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-3.0`
CFLAGS += $(CPPFLAGS)
LIBS = `pkg-config --libs gtk+-3.0` -lpthread

$(PROGRAM): $(PROGRAM).o zfuncs.o
	$(CXX) $(LDFLAGS) -o $(PROGRAM) $(PROGRAM).o zfuncs.o $(LIBS)

$(PROGRAM).o: $(SOURCE)
	$(CXX) $(CFLAGS) -o $(PROGRAM).o $(SOURCE)

zfuncs.o: zfuncs.cc zfuncs.h
	$(CXX) $(CFLAGS) zfuncs.cc    \
          -D PREFIX=\"$(PREFIX)\" -D DOCDIR=\"$(DOCDIR)\"

install: $(PROGRAM) uninstall
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(LOCALESDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(PREFIX)/share/applications
	mkdir -p  $(DESTDIR)$(APPDATADIR)
	cp -f  $(PROGRAM) $(DESTDIR)$(BINDIR)
	cp -f -R  data/* $(DESTDIR)$(DATADIR)
	cp -f -R  icons/* $(DESTDIR)$(ICONDIR)
	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
	gzip -f -9 $(DESTDIR)$(DOCDIR)/changelog
	# man page
	cp -f doc/$(PROGRAM).man $(PROGRAM).1
	gzip -f -9 $(PROGRAM).1
	cp $(PROGRAM).1.gz $(DESTDIR)$(MANDIR)
	rm -f $(PROGRAM).1.gz
	# menu (desktop) file
	cp -f $(PROGRAM).desktop $(DESTDIR)$(MENUFILE)
	cp -f $(PROGRAM).png $(DESTDIR)$(ICONFILE)

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/$(PROGRAM)
	rm -f -R  $(DESTDIR)$(SHAREDIR)
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/$(PROGRAM).1.gz
	rm -f  $(DESTDIR)$(MENUFILE)

clean: 
	rm -f  $(PROGRAM)
	rm -f  *.o

=== debian/changelog ===
ukopp (6.3-0mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Drop 02-makefile.patch, applied upstream.
  8 Add 02-icon-install.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 22 Apr 2017 15:40:49 -0700

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: ukopp
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Leo Iannacone <l3on@ubuntu.com>
+Build-Depends: debhelper (>= 9),
  pkg-config,
  libgtk-3-dev,
  libglib2.0-dev
-Standards-Version: 4.6.2
+Standards-Version: 3.9.6
 Homepage: http://www.kornelix.com/ukopp.html
-Vcs-Git: https://salsa.debian.org/debian/ukopp.git
-Vcs-Browser: https://salsa.debian.org/debian/ukopp
+Vcs-Git: git://anonscm.debian.org/collab-maint/ukopp.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ukopp.git
 
 Package: ukopp
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr
LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --parallel
